package com.gingersoft.gsa.cloud.table.mvp.model.bean.request;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-05-06
 * 修订历史：2020-05-06
 * 描述：
 */
public class SoldoutRequest {

    public static class Insert {

        private long brandId;
        private int restaurantId;
        private Long foodId;
        private Long modifierId;
        private int type;
        private int remainingNumber;
        private long uid;

        public long getBrandId() {
            return brandId;
        }

        public void setBrandId(long brandId) {
            this.brandId = brandId;
        }

        public int getRestaurantId() {
            return restaurantId;
        }

        public void setRestaurantId(int restaurantId) {
            this.restaurantId = restaurantId;
        }

        public long getFoodId() {
            return foodId;
        }

        public void setFoodId(long foodId) {
            this.foodId = foodId;
        }

        public long getModifierId() {
            return modifierId;
        }

        public void setModifierId(long modifierId) {
            this.modifierId = modifierId;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public int getRemainingNumber() {
            return remainingNumber;
        }

        public void setRemainingNumber(int remainingNumber) {
            this.remainingNumber = remainingNumber;
        }

        public long getUid() {
            return uid;
        }

        public void setUid(long uid) {
            this.uid = uid;
        }
    }

    public  static class update {

        private long id;
        /**是否刪除 0 正常 1 刪除*/
        private int deletes;


        public long getId() {
            return id;
        }

        public void setId(long id) {
            this.id = id;
        }

        public int getDeletes() {
            return deletes;
        }

        public void setDeletes(int deletes) {
            this.deletes = deletes;
        }
    }
}

